#include "CrystallizationVariables.h"

using namespace SolidStatePhysics::Crystallization::Simulators;

// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// Constructor

CrystallizationVariables::CrystallizationVariables()
	: m_necessaryGeometricalOptimizing{ 0 }
	, m_geometricalConstraintsLifetime{ 0 }
	, m_linkedPolyhedraLifetime{ 0 }
	, m_crystalLatticeLifetime{ 0 }
	, m_thermalTransformationFrequency{ 0 }
	, m_initialMaxDisplacement{ 0.0 }
	, m_finalMaxDisplacement{ 0.0 }
{
}

// Constructor
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// Utility

void CrystallizationVariables::clear() noexcept
{
	m_necessaryGeometricalOptimizing = 0;
	m_geometricalConstraintsLifetime = 0;
	m_linkedPolyhedraLifetime = 0;
	m_crystalLatticeLifetime = 0;
	m_thermalTransformationFrequency = 0;

	m_initialMaxDisplacement = 0.0;
	m_finalMaxDisplacement = 0.0;
}

// Utility
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
