#ifndef SOLIDSTATEPHYSICS_CRYSTALLIZATION_CALCULATORS_ICONSTRAINTER_H
#define SOLIDSTATEPHYSICS_CRYSTALLIZATION_CALCULATORS_ICONSTRAINTER_H


namespace SolidStatePhysics
{
	namespace Crystallization
	{
		namespace Calculators
		{
			class IConstrainter
			{
// **********************************************************************************************************************************************************************************************************************************************************************************************
			// Destructor

			public:
				virtual ~IConstrainter() = default;

			// Destructor
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
			// Public methods

				virtual void initialize() = 0;
				virtual void renew() = 0;

				virtual double getPenaltyEnergy() const = 0;
				virtual void applyForce() = 0;

			// Public methods
// **********************************************************************************************************************************************************************************************************************************************************************************************

			};
		}
	}
}


#endif // !SOLIDSTATEPHYSICS_CRYSTALLIZATION_CALCULATORS_ICONSTRAINTER_H
