#ifndef SOLIDSTATEPHYSICS_UNITSYSTEM_TEMPERATUREUNIT_H
#define SOLIDSTATEPHYSICS_UNITSYSTEM_TEMPERATUREUNIT_H


namespace SolidStatePhysics
{
	namespace UnitSystem
	{
		namespace TemperatureUnit
		{
			struct Kelvin
			{
				static constexpr double zeroTemperatureInSI() noexcept;
			};

			struct DegreeCelsius
			{
				static constexpr double zeroTemperatureInSI() noexcept;
			};
		}
	}
}

// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// Constant expressions

inline constexpr double SolidStatePhysics::UnitSystem::TemperatureUnit::Kelvin::zeroTemperatureInSI() noexcept
{
	return 0.0;
}

inline constexpr double SolidStatePhysics::UnitSystem::TemperatureUnit::DegreeCelsius::zeroTemperatureInSI() noexcept
{
	return 273.15;
}


// Constant expressions
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************

#endif // !SOLIDSTATEPHYSICS_UNITSYSTEM_TEMPERATUREUNIT_H
